Admin/lib/Tools/makedist_cygwin
changeset 63490 9416333a17c2
parent 61889 42d902e074e8
child 64344 c1695143de35
--- a/Admin/lib/Tools/makedist_cygwin	Thu Jul 14 11:34:18 2016 +0200
+++ b/Admin/lib/Tools/makedist_cygwin	Thu Jul 14 12:20:20 2016 +0200
@@ -43,7 +43,9 @@
 [ ! -e "$TARGET" ] || fail "Target already exists: \"$TARGET\""
 mkdir -p "$TARGET/isabelle" || fail "Failed to create target directory: \"$TARGET\""
 
-perl -MLWP::Simple -e "getprint '$CYGWIN_MIRROR/setup-x86.exe';" > "$TARGET/isabelle/cygwin.exe"
+type -p curl > /dev/null || fail "Cannot download files: missing curl"
+curl --fail --silent "$CYGWIN_MIRROR/setup-x86.exe" > "$TARGET/isabelle/cygwin.exe" || \
+  fail "Failed to download \"$CYGWIN_MIRROR/setup-x86.exe\""
 chmod +x "$TARGET/isabelle/cygwin.exe"
 
 "$TARGET/isabelle/cygwin.exe" -h </dev/null >/dev/null || exit 2
@@ -55,7 +57,7 @@
   --site "$CYGWIN_MIRROR" --no-verify \
   --local-package-dir 'C:\temp' \
   --root "$(cygpath -w "$TARGET")" \
-  --packages perl,perl-libwww-perl,rlwrap,unzip,nano \
+  --packages curl,nano,perl,perl-libwww-perl,rlwrap,unzip \
   --no-shortcuts --no-startmenu --no-desktop --quiet-mode
 
 [ "$?" = 0 -a -e "$TARGET/etc" ] || exit 2